PDA

View Full Version : Segmentation fault centos 6


AmirHossaiN
04/07/2015, 07:51 PM
hello , view it :


[root@vps ~]# cd samp037
[root@vps samp037]# ./samp03svr &
[1] 29752
[root@vps samp037]#
Started server on port: 7777, with maxplayers: 150 lanmode is OFF.


[1]+ Segmentation fault (core dumped) ./samp03svr
[root@vps samp037]#



end of log :

[00:21:29] Loaded 5 plugins.

[00:21:30]
[00:21:30] Filterscripts
[00:21:30] ---------------
[00:21:30] Loaded 0 filterscripts.





gdb debubing :

[root@vps samp037]# gdb samp03svr
GNU gdb (GDB) Red Hat Enterprise Linux (7.2-75.el6)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /root/samp037/samp03svr...(no debugging symbols found)...done.
(gdb) run
Starting program: /root/samp037/samp03svr
[Thread debugging using libthread_db enabled]
[New Thread 0xf7de4b70 (LWP 30123)]
[Thread 0xf7de4b70 (LWP 30123) exited]
[New Thread 0xf7de4b70 (LWP 30124)]

Started server on port: 7777, with maxplayers: 150 lanmode is OFF.

Detaching after fork from child process 30125.
Detaching after fork from child process 30127.
[New Thread 0xf5afab70 (LWP 30129)]
[New Thread 0xf50f9b70 (LWP 30130)]
[New Thread 0xf46f8b70 (LWP 30131)]
^C
Program received signal SIGINT, Interrupt.
0x00130430 in __kernel_vsyscall ()
Missing separate debuginfos, use: debuginfo-install glibc-2.12-1.149.el6_6.9.i686 libgcc-4.4.7-11.el6.i686 libstdc++-4.4.7-11.el6.i686


debuginfo-install glibc-2.12-1.149.el6_6.9.i686 libgcc-4.4.7-11.el6.i686 libstdc++-4.4.7-11.el6.i686 :

Loaded plugins: fastestmirror
enabling epel-debuginfo
enabling base-debuginfo
Determining fastest mirrors
epel-debuginfo/metalink | 2.7 kB 00:00
* base: mirror.rackdc.com
* epel: ftp.cuhk.edu.hk
* epel-debuginfo: ftp.cuhk.edu.hk
* extras: mirror.rackdc.com
* updates: mirror.saglayici.com
base-debuginfo | 2.5 kB 00:00
base-debuginfo/primary_db | 1.3 MB 00:03
epel-debuginfo | 3.0 kB 00:00
epel-debuginfo/primary_db | 672 kB 00:04
Could not find debuginfo for main pkg: glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package nss-softokn-freebl-3.14.3-22.el6_6.i686
Could not find debuginfo pkg for dependency package nss-softokn-freebl-3.14.3-22.el6_6.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo for main pkg: libgcc-4.4.7-11.el6.i686
Could not find debuginfo for main pkg: libstdc++-4.4.7-11.el6.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package libgcc-4.4.7-11.el6.i686
Could not find debuginfo pkg for dependency package libgcc-4.4.7-11.el6.i686
Could not find debuginfo pkg for dependency package libgcc-4.4.7-11.el6.i686
Could not find debuginfo pkg for dependency package libgcc-4.4.7-11.el6.i686
Could not find debuginfo pkg for dependency package libgcc-4.4.7-11.el6.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package glibc-2.12-1.149.el6_6.9.i686
Could not find debuginfo pkg for dependency package libstdc++-4.4.7-11.el6.i686
No debuginfo packages available to install



:( help me fast

AmirHossaiN
04/07/2015, 08:13 PM
i ran 0.3.7 linux x86 on centos x64

is it problem ?

AlonzoTorres
04/07/2015, 08:16 PM
Server Support (http://forum.sa-mp.com/forumdisplay.php?f=19)

xRoy
04/07/2015, 08:16 PM
i ran 0.3.7 linux x86 on centos x64

is it problem ?

I do not understand you.
while "yum install" command you get this errors but means you have the problem.
Can you give contact details for check the server in live?

AmirHossaiN
04/07/2015, 08:23 PM
I do not understand you.
while "yum install" command you get this errors but means you have the problem.
Can you give contact details for check the server in live?

0.3.7 just availabled for linux x86 (32 bit)

my os is centos x64

xRoy
04/07/2015, 08:27 PM
0.3.7 just availabled for linux x86 (32 bit)

my os is centos x64

Nah.. I using too x86 version on CentOS x64.
I would like to help you but I have to run more commands in SSH. please provide me contact details (Skype or something) and we'll keep talk there. I'm sure we'll fix it.

AmirHossaiN
04/07/2015, 08:31 PM
problem is from streamer.

i removed streamer from plugins in server.cfg problem solved.

but steamer is need

xRoy
04/07/2015, 08:37 PM
Maybe the version of the server is x86? Check it out.

AmirHossaiN
04/07/2015, 08:46 PM
solved :D

i downgraded streamer plugin to less versions

RedMF
03/01/2018, 10:19 PM
solved :D

i downgraded streamer plugin to less versions

for which version?